Package bitel.billing.server.contract.bean

# Class ContractManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.contract.bean.ContractManager

public class ContractManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContractGroup(int contractId, int groupId)`
  Привязываем договор к группе.
  `boolean`
  `checkContractService(int contractId, int serviceId, Date date)`
  Проверка наличия на договоре услуги на указанную дату
  `void`
  `deleteContractGroup(int contractId, long groupId)`
  Удаляем договор из группы.
  `Map<Integer,Integer>`
  `getContractParameterGroupCountMap()`
  Возвращает Map содержащий коды групп параметров договоров и кол-ва договоров в каждой из них ("SELECT pgid, COUNT(*) FROM contract GROUP BY pgid")
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet`
  `getRealtimeTariffTreeSet(int cid, Calendar time, String module, int mid, boolean useChache)`
  Deprecated.
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet`
  `getRealtimeTariffTreeSet(int cid, Calendar time, String module, int mid, int emid, int eid, boolean useChache)`
  Deprecated.
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet`
  `getRealtimeTariffTreeSet(int cid, Date date, String module, int mid, boolean useChache)`
  Создает TariffTreeSet для обсчета сессий
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet`
  `getRealtimeTariffTreeSet(int cid, Date time, String module, int mid, int emid, int eid, boolean useChache)`
  Создает TariffTreeSet для обсчета сессий
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet`
  `getTariffTreeSetForDay(int contractId, LocalDate time, String module, int moduleId, boolean useChache)`
  Создает TariffTreeSet для обработки одного дня

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractManager

    public ContractManager(Connection con)

- ## Method Details

  - ### getRealtimeTariffTreeSet

    public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet getRealtimeTariffTreeSet(int cid, Date date, String module, int mid, boolean useChache)
    Создает TariffTreeSet для обсчета сессий
    Parameters:
      `module` - String
      `mid` - int
      `useChache` - boolean
      `contract` - BGContract

  - ### getRealtimeTariffTreeSet

    @Deprecated public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet getRealtimeTariffTreeSet(int cid, Calendar time, String module, int mid, boolean useChache)
    Deprecated.

  - ### getRealtimeTariffTreeSet

    @Deprecated public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet getRealtimeTariffTreeSet(int cid, Calendar time, String module, int mid, int emid, int eid, boolean useChache)
    Deprecated.

  - ### getRealtimeTariffTreeSet

    public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet getRealtimeTariffTreeSet(int cid, Date time, String module, int mid, int emid, int eid, boolean useChache)
    Создает TariffTreeSet для обсчета сессий
    Parameters:
      `module` - String
      `mid` - int
      `useChache` - boolean
      `contract` - BGContract

  - ### getTariffTreeSetForDay

    public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet getTariffTreeSetForDay(int contractId, LocalDate time, String module, int moduleId, boolean useChache) throws Exception
    Создает TariffTreeSet для обработки одного дня
    Throws:
      `Exception`

  - ### addContractGroup

    public void addContractGroup(int contractId, int groupId) throws ru.bitel.bgbilling.common.BGException
    Привязываем договор к группе.
    Parameters:
      `contractId` - код договора
      `groupId` - код группы
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractGroup

    public void deleteContractGroup(int contractId, long groupId) throws ru.bitel.bgbilling.common.BGException
    Удаляем договор из группы.
    Parameters:
      `contractId` - код договора
      `groupId` - код группы
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractParameterGroupCountMap

    public Map<Integer,Integer> getContractParameterGroupCountMap() throws ru.bitel.bgbilling.common.BGException
    Возвращает Map содержащий коды групп параметров договоров и кол-ва договоров в каждой из них ("SELECT pgid, COUNT(*) FROM contract GROUP BY pgid")
    Returns:
      Mapinvalid input: '<'Integer, Integer> в какой группе сколько договоров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkContractService

    public boolean checkContractService(int contractId, int serviceId, Date date) throws ru.bitel.bgbilling.common.BGException
    Проверка наличия на договоре услуги на указанную дату
    Parameters:
      `contractId` - код договора
      `serviceId` - код услуги
      `date` - дата
    Returns:
      true - если услуга есть, false - услуги нет или дата вне периода
    Throws:
      `ru.bitel.bgbilling.common.BGException`